# Generated by Django 3.2.15 on 2022-09-04 10:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='YtChannel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cid', models.CharField(max_length=24)),
                ('title', models.CharField(max_length=250)),
                ('description', models.TextField(null=True)),
                ('thumbnails_url', models.CharField(max_length=250, null=True)),
                ('registration_date', models.DateTimeField()),
                ('date_add', models.DateTimeField(auto_now_add=True)),
                ('date_edit', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='YtChannelGroup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('group_name', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='YtChannelStats',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('subscribers', models.IntegerField(default=0)),
                ('videos', models.IntegerField()),
                ('views', models.IntegerField()),
                ('channel', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='yt_api.ytchannel')),
            ],
        ),
    ]
